var speed:float=0.5;

function Update () {

    if(transform.position.x < -20.0){transform.position.x=0;}
    transform.position = Vector3(transform.position.x-Time.deltaTime*speed,transform.position.y, transform.position.z);
	 

}